import { Verify } from '@/utils/verify/verify';


/**
 * 图书初始化
 *
 * @export
 * @class InitDataLogicBase
 */
export default class InitDataLogicBase {

    /**
     * 名称
     * 
     * @memberof  InitDataLogicBase
     */
    private name:string ="initData";

    /**
     * 唯一标识
     * 
     * @memberof  InitDataLogicBase
     */
    private id:string = "75C65A74-51D9-436A-AD72-3F67FAC34810";

    /**
     * 默认参数名称
     * 
     * @memberof  InitDataLogicBase
     */
    private defaultParamName:string = "Default";

    /**
     * 参数集合
     * 
     * @memberof  InitDataLogicBase
     */
    private paramsMap:Map<string,any> = new Map();

    /**
     * Creates an instance of  InitDataLogicBase.
     * 
     * @param {*} [opts={}]
     * @memberof  InitDataLogicBase
     */
    constructor(opts: any = {}) {
        this.initParams(opts);
    }

    /**
     * 初始化参数集合
     * 
     * @param {*} [opts={}]
     * @memberof  InitDataLogicBase
     */
    public initParams(opts:any){
        this.paramsMap.set('Default',opts);
    }


    /**
     * 执行逻辑
     * 
     * @param context 应用上下文
     * @param params 传入参数
     */
    public onExecute(context:any,params:any,isloading:boolean){
        return this.executeBegin(context,params,isloading);
    }


    /**
    * 开始
    * 
    * @param params 传入参数
    */
    private async executeBegin(context:any,params:any,isloading:boolean){
        //开始节点
        return this.paramsMap.get(this.defaultParamName).data;
    }


}